"use strict";

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _react3 = require("@testing-library/react");

var _index = require("./index");

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Button', function () {
  it('should disable the button if the button is loading', function () {
    var _render = (0, _react3.render)(_react2.default.createElement(_index2.default, {
      isLoading: true
    })),
        container = _render.container;

    var buttonEl = container.querySelector('button');
    expect(buttonEl.disabled).toBe(true);
  });
  describe('CSS API', function () {
    it('primary', function () {
      var _render2 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "primary"
      }, "Hello")),
          asFragment = _render2.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('secondary', function () {
      var _render3 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "secondary"
      }, "Hello")),
          asFragment = _render3.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('tertiary', function () {
      var _render4 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "tertiary"
      }, "Hello")),
          asFragment = _render4.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger', function () {
      var _render5 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "danger"
      }, "Hello")),
          asFragment = _render5.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger-tertiary', function () {
      var _render6 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "danger-tertiary"
      }, "Hello")),
          asFragment = _render6.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger-tertiary', function () {
      var _render7 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "inverted-tertiary"
      }, "Hello")),
          asFragment = _render7.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('primary disabled', function () {
      var _render8 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "primary",
        disabled: true
      }, "Hello")),
          asFragment = _render8.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('secondary disabled', function () {
      var _render9 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "secondary",
        disabled: true
      }, "Hello")),
          asFragment = _render9.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('tertiary disabled', function () {
      var _render10 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "tertiary",
        disabled: true
      }, "Hello")),
          asFragment = _render10.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger disabled', function () {
      var _render11 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "danger",
        disabled: true
      }, "Hello")),
          asFragment = _render11.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger-tertiary disabled', function () {
      var _render12 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "danger-tertiary",
        disabled: true
      }, "Hello")),
          asFragment = _render12.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
    it('danger-tertiary disabled', function () {
      var _render13 = (0, _react3.render)(_react2.default.createElement(_index2.default, {
        variation: "inverted-tertiary",
        disabled: true
      }, "Hello")),
          asFragment = _render13.asFragment;

      var result = asFragment();
      expect(result).toMatchSnapshot();
    });
  });
});