"use strict";

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _react3 = require("@testing-library/react");

var _ = require(".");

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Checkbox', function () {
  it('should define the current attribute of the ref object', function () {
    var refObj = {};
    (0, _react3.render)(_react2.default.createElement(_2.default, {
      ref: refObj,
      name: "checkme",
      id: "my-checkbox",
      onChange: function onChange() {}
    }));
    var inputElement = document.querySelector('input');
    expect(refObj.current).toBe(inputElement);
  });
  it('should accept a ref that is a function', function () {
    var refSpy = jest.fn();
    (0, _react3.render)(_react2.default.createElement(_2.default, {
      ref: refSpy,
      name: "checkme",
      id: "my-checkbox",
      onChange: function onChange() {}
    }));
    var inputElement = document.querySelector('input');
    expect(refSpy).toBeCalledWith(inputElement);
  });
  it('should accept not passing a ref', function () {
    (0, _react3.render)(_react2.default.createElement(_2.default, {
      name: "checkme",
      id: "my-checkbox",
      onChange: function onChange() {}
    }));
    var inputElement = document.querySelector('input');
    expect(inputElement).toBeTruthy();
  });
});