"use strict";

var _reactHooks = require("@testing-library/react-hooks");

var _useTableMeasures = require("../useTableMeasures");

var _useTableMeasures2 = _interopRequireDefault(_useTableMeasures);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Table V2 @ hooks/useTableMeasures spec', function () {
  var TABLE_SIZE = 5;
  it('changes density correctly', function () {
    var _renderHook = (0, _reactHooks.renderHook)(function () {
      return (0, _useTableMeasures2.default)({
        size: TABLE_SIZE
      });
    }),
        result = _renderHook.result;

    expect(result.current.density).toBe(_useTableMeasures.Density.Regular);
    expect(result.current.rowHeight).toBe(_useTableMeasures.DesitySizes.Regular);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Comfortable);
    });
    expect(result.current.density).toBe(_useTableMeasures.Density.Comfortable);
    expect(result.current.rowHeight).toBe(_useTableMeasures.DesitySizes.Comfortable);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Compact);
    });
    expect(result.current.density).toBe(_useTableMeasures.Density.Compact);
    expect(result.current.rowHeight).toBe(_useTableMeasures.DesitySizes.Compact);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Regular);
    });
    expect(result.current.density).toBe(_useTableMeasures.Density.Regular);
    expect(result.current.rowHeight).toBe(_useTableMeasures.DesitySizes.Regular);
  });
  it('calculates tableHeight correctly', function () {
    var _renderHook2 = (0, _reactHooks.renderHook)(function () {
      return (0, _useTableMeasures2.default)({
        size: TABLE_SIZE
      });
    }),
        result = _renderHook2.result;

    expect(result.current.tableHeight).toBe(276 + TABLE_SIZE);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Comfortable);
    });
    expect(result.current.tableHeight).toBe(416 + TABLE_SIZE);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Compact);
    });
    expect(result.current.tableHeight).toBe(196 + TABLE_SIZE);
    (0, _reactHooks.act)(function () {
      result.current.setDensity(_useTableMeasures.Density.Regular);
    });
    expect(result.current.tableHeight).toBe(276 + TABLE_SIZE);
  });
});