import PropTypes from 'prop-types';
import React from 'react';
declare const propTypes: {
    /** Determine if the input's bottom corners should be rounded or not */
    roundedBottom: PropTypes.Requireable<boolean>;
    /** Input value */
    value: PropTypes.Requireable<string>;
    /** Clear event handler */
    onClear: PropTypes.Requireable<(...args: any[]) => any>;
    /** Change event handler */
    onChange: PropTypes.Requireable<(...args: any[]) => any>;
    /** Search event handler. Called on enter or when clicking the search button */
    onSearch: PropTypes.Requireable<(...args: any[]) => any>;
    /** Focus event handler */
    onFocus: PropTypes.Requireable<(...args: any[]) => any>;
    /** Blur event handler */
    onBlur: PropTypes.Requireable<(...args: any[]) => any>;
    /** Determine if the input and the button should be disabled */
    disabled: PropTypes.Requireable<boolean>;
    /** Determine the search bar size */
    size: PropTypes.Requireable<string>;
    /** Determine if the input and button should be styled with error borders */
    error: PropTypes.Requireable<boolean>;
    /** Prefix element */
    prefix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    /** Suffix element */
    suffix: PropTypes.Requireable<PropTypes.ReactNodeLike>;
};
declare const SearchInput: React.FC<PropTypes.InferProps<typeof propTypes> & Omit<React.HTMLProps<HTMLInputElement>, 'onChange' | 'value' | 'size' | 'prefix'>>;
export default SearchInput;
