import { TooltipProps, CartesianGridProps, ResponsiveContainerProps, LineChartProps, LineProps as RechartsLineProps, LineType, LayoutType, XAxisProps, YAxisProps, ZAxisProps } from 'recharts';
export declare type BaseGridProps = Pick<CartesianGridProps, 'vertical' | 'horizontal'>;
export declare type BaseContainerProps = Pick<ResponsiveContainerProps, 'height' | 'width' | 'aspect'>;
export declare type DefaultLineProps = Pick<RechartsLineProps, 'type' | 'strokeWidth' | 'dot'>;
export declare type DefaultBarProps = Pick<RechartsLineProps, 'layout'>;
export declare type ChartConfig = {
    container?: Partial<ResponsiveContainerProps>;
    lineChart?: Partial<LineChartProps>;
    xAxis?: Partial<XAxisProps>;
    yAxis?: Partial<YAxisProps>;
    zAxis?: Partial<ZAxisProps>;
    grid?: Partial<CartesianGridProps>;
    tooltip?: Partial<TooltipProps>;
};
export declare type BaseChartProps = {
    data: object[];
    dataKeys: string[];
    xAxisKey: string;
    yAxisKey: string;
    zAxisKey: string;
    config: ChartConfig;
};
export declare type LineProps = {
    type?: LineType;
};
export declare type BarProps = {
    layout?: LayoutType;
};
