import React, { ReactNode } from 'react';
import { E2ETestable } from '../types';
declare const Button: React.ForwardRefExoticComponent<E2ETestable<string> & {
    id?: string;
    label?: string;
    onClick?: Function;
    isLoading?: boolean;
    disabled?: boolean;
    size?: ButtonSize;
    icon?: unknown;
    title?: string;
    variation?: ButtonVariation;
    isActiveOfGroup?: boolean;
    isGrouped?: boolean;
    isFirstOfGroup?: boolean;
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
export declare enum ButtonVariation {
    Primary = "primary",
    Secondary = "secondary",
    Tertiary = "tertiary"
}
export declare enum ButtonSize {
    Small = "small",
    Regular = "regular",
    Large = "large"
}
export declare enum IconSize {
    Heavy = 13,
    Medium = 14,
    Light = 16
}
export declare type ButtonProps = E2ETestable & {
    id?: string;
    label?: string;
    onClick?: Function;
    isLoading?: boolean;
    disabled?: boolean;
    size?: ButtonSize;
    icon?: unknown;
    title?: string;
    variation?: ButtonVariation;
    isActiveOfGroup?: boolean;
    isGrouped?: boolean;
    isFirstOfGroup?: boolean;
    children?: ReactNode;
};
export default Button;
