"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconBase = require("../IconBase");

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

var iconBase = {
  width: 18,
  height: 18
};

var Close =
/*#__PURE__*/
function (_PureComponent) {
  _inheritsLoose(Close, _PureComponent);

  function Close() {
    return _PureComponent.apply(this, arguments) || this;
  }

  var _proto = Close.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        color = _this$props.color,
        size = _this$props.size,
        block = _this$props.block,
        title = _this$props.title;
    var newSize = (0, _utils.calcIconSize)(iconBase, size);
    return _react2.default.createElement(_IconBase.Svg, {
      name: "close",
      size: newSize,
      block: block,
      viewBox: "0 0 18 18"
    }, title && _react2.default.createElement("title", null, title), _react2.default.createElement("g", {
      fill: color
    }, _react2.default.createElement("path", {
      d: "M14.53 4.53l-1.06-1.06L9 7.94 4.53 3.47 3.47 4.53 7.94 9l-4.47 4.47 1.06 1.06L9 10.06l4.47 4.47 1.06-1.06L10.06 9z"
    })));
  };

  return Close;
}(_react.PureComponent);

Close.defaultProps = {
  color: 'currentColor',
  size: 16,
  block: false
};
Close.propTypes = {
  color: _propTypes2.default.string,
  size: _propTypes2.default.number,
  block: _propTypes2.default.bool,
  title: _propTypes2.default.string
};
exports.default = Close;