"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconBase = require("../IconBase");

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

var iconBase = {
  width: 13,
  height: 12
};

var TableFilter =
/*#__PURE__*/
function (_PureComponent) {
  _inheritsLoose(TableFilter, _PureComponent);

  function TableFilter() {
    return _PureComponent.apply(this, arguments) || this;
  }

  var _proto = TableFilter.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        color = _this$props.color,
        size = _this$props.size,
        block = _this$props.block;
    var newSize = (0, _utils.calcIconSize)(iconBase, size);
    return _react2.default.createElement(_IconBase.Svg, {
      name: "table-filter",
      size: newSize,
      block: block,
      viewBox: "0 0 13 12"
    }, _react2.default.createElement("path", {
      d: "M10.7042 0H8.56339V2H6.42255V4H12.8451V2H10.7042V0Z",
      fill: color
    }), _react2.default.createElement("path", {
      d: "M10.7042 5H8.56335V12H10.7042V5Z",
      fill: color
    }), _react2.default.createElement("path", {
      d: "M0 10H2.14085V12H4.28169V10H6.42253V8H0V10Z",
      fill: color
    }), _react2.default.createElement("path", {
      d: "M4.28171 0H2.14087V7H4.28171V0Z",
      fill: color
    }));
  };

  return TableFilter;
}(_react.PureComponent);

TableFilter.defaultProps = {
  color: 'currentColor',
  size: 16,
  block: false
};
TableFilter.propTypes = {
  color: _propTypes2.default.string,
  size: _propTypes2.default.number,
  block: _propTypes2.default.bool
};
exports.default = TableFilter;