"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconBase = require("../IconBase");

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

var iconBase = {
  width: 18,
  height: 12
};

var UnorderedList =
/*#__PURE__*/
function (_PureComponent) {
  _inheritsLoose(UnorderedList, _PureComponent);

  function UnorderedList() {
    return _PureComponent.apply(this, arguments) || this;
  }

  var _proto = UnorderedList.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        color = _this$props.color,
        size = _this$props.size,
        block = _this$props.block;
    var newSize = (0, _utils.calcIconSize)(iconBase, size);
    return _react2.default.createElement(_IconBase.Svg, {
      name: "unorderedList",
      size: newSize,
      block: block,
      viewBox: "0 0 64 64",
      fill: color
    }, _react2.default.createElement("circle", {
      fill: color,
      cx: "8",
      cy: "12",
      r: "6"
    }), _react2.default.createElement("circle", {
      fill: color,
      cx: "8",
      cy: "32",
      r: "6"
    }), _react2.default.createElement("circle", {
      fill: color,
      cx: "8",
      cy: "52",
      r: "6"
    }), _react2.default.createElement("path", {
      d: "M61,13H21a1,1,0,0,1,0-2H61a1,1,0,0,1,0,2Z",
      fill: color
    }), _react2.default.createElement("path", {
      d: "M46,33H21a1,1,0,0,1,0-2H46a1,1,0,0,1,0,2Z",
      fill: color
    }), _react2.default.createElement("path", {
      d: "M61,53H21a1,1,0,0,1,0-2H61a1,1,0,0,1,0,2Z",
      fill: color
    }));
  };

  return UnorderedList;
}(_react.PureComponent);

UnorderedList.defaultProps = {
  color: 'currentColor',
  size: 20,
  block: false
};
UnorderedList.propTypes = {
  color: _propTypes2.default.string,
  size: _propTypes2.default.number,
  block: _propTypes2.default.bool
};
exports.default = UnorderedList;